---
id: 673339d96c56d36e963e888e
title: Step 1
challengeType: 1
dashedName: step-1
---

# --description--

In this workshop, you'll build a plant nursery catalog while practicing JavaScript's Map and Set objects.

To represent each plant in your catalog, you'll use objects, each with three properties:

- `commonName`, the common name of the plant
- `scientificName`, the scientific name (or latin name) of the plant
- `cultivar`, the variety of the plant

Start by creating an object with the three properties above for the `Spanish lavender` (scientific name `Lavandula stoechas`) of a cultivar called `Ballerina` and assign it to a variable named `ballerina`.

# --hints--

You should have a variable named `ballerina`.

```js
assert.exists(ballerina);
```

You should assign an object to your `ballerina` variable.

```js
assert.isObject(ballerina);
```

Your `ballerina` object should have a `commonName` property set to `"Spanish lavender"`.

```js
assert.strictEqual(ballerina.commonName, "Spanish lavender");
```

Your `ballerina` object should have a `scientificName` property set to `"Lavandula stoechas"`.

```js
assert.strictEqual(ballerina.scientificName, "Lavandula stoechas");
```

Your `ballerina` object should have a `cultivar` property set to `"Ballerina"`.

```js
assert.strictEqual(ballerina.cultivar, "Ballerina");
```

Your `ballerina` object should have three keys.

```js
assert.lengthOf(Object.keys(ballerina), 3);
```

# --seed--

## --seed-contents--

```js
--fcc-editable-region--

--fcc-editable-region--
```
